#version 330

in vec3 ex_TexCoord;

uniform sampler2DArray tex;

layout(location = 0) out vec4 fragColor;

void main(void)
{
    vec4 pixel = texture(tex, ex_TexCoord);
    if(pixel.a <= 0.01)
        discard;

    fragColor = pixel;
}
