#version 330

uniform sampler2D tex;
uniform vec2 texelSize;
uniform vec2 pixelSize;

in vec2 ex_TexCoord;

layout(location = 0) out vec4 fragColor;

void main(void)
{
    vec2 d = pixelSize * texelSize;
    vec2 coord = d * floor(ex_TexCoord / d);
    fragColor = texture(tex, coord);
}