#version 330

uniform mat4 projMatrix;
uniform mat4 modelMatrix;

layout(location = 0) in vec2 in_Vertex;
layout(location = 1) in vec2 in_TexCoord;

out vec2 ex_TexCoord;

void main(void)
{
    ex_TexCoord = in_TexCoord;
    gl_Position = projMatrix * modelMatrix * vec4(in_Vertex, 0.0, 1.0);
}
