#version 330

uniform sampler2D tex;

in vec4 ex_Color;

layout(location = 0) out vec4 fragColor;

void main(void)
{
    if(ex_Color.a <= 0.01)
        discard;

    vec4 pixel = texture(tex, gl_PointCoord);
    if(pixel.a <= 0.01)
        discard;

    fragColor = pixel * ex_Color;
}
